// +build windows

package staros

import (
	"time"
)

func NetUsage() ([]NetAdapter, error) {
	var res []NetAdapter
	return res, nil
}

func NetUsageByname(name string) (NetAdapter, error) {
	return NetAdapter{}, nil
}

func NetSpeeds(duration time.Duration) ([]NetSpeed, error) {
	var res []NetSpeed
	return res, nil
}

func NetSpeedsByName(duration time.Duration, name string) (NetSpeed, error) {

	return NetSpeed{}, nil
}

// NetConnections return all TCP/UDP/UNIX DOMAIN SOCKET Connections
// if your uid != 0 ,and analysePid==true ,you should have CAP_SYS_PRTACE and CAP_DAC_OVERRIDE/CAP_DAC_READ_SEARCH Caps
func NetConnections(analysePid bool) ([]NetConn, error) {
	var result []NetConn
	return result, nil
}